%global gitcommit c6021ac

Summary:    msgbuff library
Name:       libmsgbuff
Version:    0.51.1
Release:    1.git%{gitcommit}%{?dist}
License:    LGPLv2
Group:      Development/Libraries
URL:        http://support.caenrfid.it

# The source of this package was pulled from the upstream git repo (restricted access).
# To get access to the upstream repo, 
#  read http://support.caenrfid.it/wiki/index.php/Get_access_to_our_source_code
# Use the following commands to generate the tarball:
#  git clone http://support.caenrfid.it/module/libmsgbuff
#  git checkout c6021ac
#  tar cvzf libmsgbuff-c6021ac.tar.gz libmsgbuff
Source0:    %{name}-%{gitcommit}.tar.gz 

# The autotool is using debian command 
Patch0:     msg_buff_correct_version_number.patch 

BuildRoot:  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)


%description
msgbuff library used by the CAENRFID api/deamon.

%package    devel
Summary:    Development files for %{name}
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}

%patch0 -p1 -b configure.ac.bk

%build
%configure --libdir=/%{_libdir} \
           --docdir=%{_docdir}/%{name}-%{version}

make %{?_smp_mflags}


%install
mkdir -p %{buildroot}{%{_libdir},%{_includedir}}

make DESTDIR=%{buildroot} install

%post -p /sbin/ldconfig 

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_libdir}/libmsgbuff.so.*
%exclude %{_libdir}/libmsgbuff.a
%exclude %{_libdir}/libmsgbuff.la

%files devel
%defattr(-,root,root,-)
%{_includedir}/msgbuff.h
%{_libdir}/libmsgbuff.so


%changelog
* Fri Feb 03 2012 Kévin Raymond <shaiton@fedoraproject.org> 0.51.1-1.gitc6021ac
- packaged
